org.apache.solr.client.solrj.request

## Class GenericSolrRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<SimpleSolrResponse>
  - - org.apache.solr.client.solrj.request.GenericSolrRequest

All Implemented Interfaces:
  Serializable

    public class GenericSolrRequest
    extends SolrRequest<SimpleSolrResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`SolrParams` `params`
`SimpleSolrResponse` `response`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

### Constructor Summary

Constructors
Constructor and Description
`GenericSolrRequest(SolrRequest.METHOD m, String path, SolrParams params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SimpleSolrResponse` `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
`Collection<ContentStream>` `getContentStreams()`
`SolrParams` `getParams()`
`void` `setContentStreams(Collection<ContentStream> streams)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### params

    public SolrParams params

#### response

    public SimpleSolrResponse response

### Constructor Detail

#### GenericSolrRequest

    public GenericSolrRequest(SolrRequest.METHOD m,
                              String path,
                              SolrParams params)

### Method Detail

#### setContentStreams

    public void setContentStreams(Collection<ContentStream> streams)

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<SimpleSolrResponse>`

#### getContentStreams

    public Collection<ContentStream> getContentStreams()
                                                throws IOException

Specified by:
  `getContentStreams` in class `SolrRequest<SimpleSolrResponse>`
Throws:
  `IOException`

#### createResponse

    protected SimpleSolrResponse createResponse(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<SimpleSolrResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to